GET /blueprintfields/{guid}

Get a specific blueprint field by its GUID

Get a specific blueprint field by its GUID
KeyTypeExampleDescription
guidrequiredstring
"example"
Blueprint field GUID
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "blueprint_guid": "c45797061f2c15a75361042244385e96419d230ab804d7fa08cd52981fd78192",
  "default_value": "enabled",
  "description": "User's email address",
  "metadata": {
    "placeholder": "Enter your email",
    "ui_component": "text-input"
  },
  "name": "user_email",
  "required": false,
  "type": "string",
  "validation_rules": {
    "max_length": 100,
    "min_length": 5,
    "pattern": "^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\\.[a-zA-Z]{2,}$"
  }
}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
404ERRORBlueprint field not found
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
blueprintfields_viewRequired scope: blueprintfields_view

Back to Blueprint Fields Return to the Blueprint Fields category to view other endpoints All API Categories Browse all available API categories